package com.ether;

import com.ether.account.Account;
import com.ether.dao.AccountDAO;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
import org.springframework.beans.factory.annotation.Required;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author vmipsl
 * @date 07 mar 2011
 */
public class EtherServiceImpl
        implements EtherService
{
    @Nullable
    @Transactional(readOnly = true)
    public Account getAccountByLogin( @NotNull final String login )
            throws ServiceException
    {
        try
        {
            return _accountDAO.getAccountByLogin( login );
        }
        catch( PersistenceException e )
        {
            throw new ServiceException( ServiceException.ServiceCode.PLATEFORM_NOT_FOUND, e );
        }
    }

//    @NotNull
//    @Transactional(rollbackFor = Exception.class)
//    public Integer createUser( @NotNull final User user )
//            throws ServiceException
//    {
//        try
//        {
//            return _userDAO.insert( user );
//        }
//        catch( PersistenceException e )
//        {
//            throw new ServiceException( ServiceException.ServiceCode.PERSISTENCE, e );
//        }
//    }

    @Required
    public void setAccountDAO( final AccountDAO accountDAO )
    {
        _accountDAO = accountDAO;
    }

    private static final Log LOGGER = LogFactory.getLog( EtherServiceImpl.class );

    private AccountDAO _accountDAO;
}
